aboutsummaryrefslogtreecommitdiffstats
path: root/meta-oe
Commit message (Collapse)AuthorAgeFilesLines
* llvm: disable build rpathJonathan Liu2013-06-122-0/+2
| | | | | | | | This avoids QA Issue where tblgen has an rpath to lib in the shadow build directory. Signed-off-by: Jonathan Liu <net147@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* llvm2.9: allow parallel native makeJonathan Liu2013-06-122-2/+5
| | | | | | | | | | * fix parallel build Doing a parallel build may result in the following: *** No rule to make target `native/bin/tblgen', needed by `include/llvm/Intrinsics.gen.tmp' Avoid this by building tblgen first before building the rest of llvm. Signed-off-by: Jonathan Liu <net147@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* claws-plugins-*: Update SRC_URIMartin Jansa2013-06-033-4/+3
| | | | | | | | * modules are now in one bigger tarball on sourceforge http://sourceforge.net/projects/sylpheed-claws/files/extra%20plugins/ * old tarballs are still available in plugins_obsolete directory Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* xterm: update to 293Jonathan Liu2013-06-031-3/+3
| | | | | | | | License copyright years was updated from 1999-2010,2011 to 1999-2012,2013. Signed-off-by: Jonathan Liu <net147@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* debianutils: fix for multilib buildZhenhua Luo2013-06-031-1/+3
| | | | | | | | | | When do multilib build for debianutils, following error appear: ERROR: Function failed: Fetcher failure for URL: 'ftp://ftp.debian.org/debian/pool/main/d/lib64-debianutils/lib64-debianutils_2.30.tar.gz'. Unable to fetch URL from any source. Signed-off-by: Zhenhua Luo <zhenhua.luo@freescale.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* luajit: Fix ppc spe issue with PIC codeKhem Raj2013-06-032-3/+114
| | | | | | | | | | some parts of libluajit is not compiled with PICness lets fix it. Also get the hotfix patch for luajit dot org Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* mysql: depend on zlib to not build own oneMarcin Juszkiewicz2013-06-031-1/+1
| | | | | | | | | | | | When mysql does not detect zlib during configure then their copy of zlib 1.2.3 is built. That leads to problems during rootfs creation: | * check_data_file_clashes: Package libz-staticdev wants to install file /home/hrw/HDD/devel/canonical/aarch64/openembedded/build/tmp-eglibc/work/genericarmv8-oe-linux/linaro-image-lamp/1.0-r0/rootfs/usr/lib/libz.a | But that file is already provided by package * libmysqlclient-staticdev | * opkg_install_cmd: Cannot install package libz-staticdev. Signed-off-by: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libmikmod: depend on texinfoMarko Lindqvist2013-06-031-1/+1
| | | | | | | | With changed behavior of 'missing' in automake-1.13, libmikmod build was failing when makeinfo was not present. Signed-off-by: Marko Lindqvist <cazfi74@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* uhd : Update to version 3.5.3.Philip Balister2013-05-281-2/+2
| | | | | Signed-off-by: Philip Balister <philip@balister.org> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* uhd-firmware : Update to 3.5.3.Philip Balister2013-05-281-3/+3
| | | | | Signed-off-by: Philip Balister <philip@balister.org> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gnuradio : Update recipe to build for all machines.Philip Balister2013-05-281-7/+4
| | | | | | | | | | | | | | | Also updated the git repo address after recent changes in hosting. The recipe failed to build for machines without neon as a tune feature. The cmake config options have been changed so that it configures properly now. Also dropped documentation from build to work around a doc generation problem. Test on armv7a, x86, and x86-64. Signed-off-by: Philip Balister <philip@balister.org> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* icon-slicer: fix native build by depending on gdk-pixbuf onlyAndreas Müller2013-05-281-2/+1
| | | | | | | | | | | checking for GDK_PIXBUF... no | configure: error: GTK+-2.0 is required to compile icon-slicer <...> ERROR: Task 2643 (virtual:native:/home/andreas/data/oe-core/sources/meta-openembedded/meta-oe/recipes-devtools/icon-slicer/icon-slicer_0.3.bb, do_configure) failed with exit code '1' Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gtkhtml2: fix build with glib 2.36Andreas Müller2013-05-212-1/+34
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gtkmm: update to 2.24.3Andreas Müller2013-05-212-31/+20
| | | | | | | build test of pavucontrol and gnome-system-monitor which depend on gtkmm Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* atkmm: initial add 2.22.7Andreas Müller2013-05-211-0/+19
| | | | | | | it is required for the update of gtkmm in the following patch Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gtkmm: merge gtkmm.inc into recipe - and cleanup a bitAndreas Müller2013-05-212-31/+26
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* pangomm: update to 2.34.0Andreas Müller2013-05-211-5/+3
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* glibmm: update to 2.36.2Andreas Müller2013-05-212-16/+3
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* glibmm: merge glibmm.inc into recipe - and stylize a bitAndreas Müller2013-05-212-31/+26
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libsigc++-2.0: update to 2.2.11Andreas Müller2013-05-211-3/+3
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* mm-common: update to 0.9.6Andreas Müller2013-05-212-10/+12
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* pangomm: Add missing dependency on pangoKhem Raj2013-05-211-1/+1
| | | | | | | | | | | | | Fixes errors like | configure:15678: error: Package requirements (glibmm-2.4 >= 2.14.1 cairomm-1.0 >= 1.2.2 pangocairo >= 1.23.0) were not met: | | No package 'pangocairo' found Signed-off-by: Khem Raj <raj.khem@gmail.com> Acked-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* collectd: fix build failure with libnotify in sysrootPaul Eggleton2013-05-211-0/+1
| | | | | | | | | | If libnotify is in the sysroot, collectd will try to use it and then fail at do_compile because gtk/gtk.h can't be found. Since this is functionality that's not likely to be needed in the embedded context as far as collectd goes, just disable it. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* dmidecode: removeJonathan Liu2013-05-191-21/+0
| | | | | | | A newer version is available in OE-Core. Signed-off-by: Jonathan Liu <net147@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* maliit-framework: fix build with glib 2.36Andreas Müller2013-05-192-0/+35
| | | | | | | | | Upstream code has seen many structural changes and the failing test is gone. Since changing to latest sources might cause huge reworking/test-efforts this patch only fixes the build error. Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* pv: add pipe viewer, version 1.4.6Koen Kooi2013-05-161-0/+17
| | | | | Signed-off-by: Koen Kooi <koen@dominion.thruhere.net> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* read-edid: add 2.0.0Koen Kooi2013-05-162-0/+51
| | | | | | | only build parse-edid, get-edid uses x86.h Signed-off-by: Koen Kooi <koen@dominion.thruhere.net> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* poppler: fix build for soft FPU machinesAndreas Müller2013-05-162-2/+47
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* poppler: fix config option --disable-poppler-qt to --disable-poppler-qt4Andreas Müller2013-05-161-1/+3
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* LuaJIT: Upgrade 2.0.0 -> 2.0.1Khem Raj2013-05-163-20/+39
| | | | | | | | | Fix stripping related warnings Drop foldarith_for_spe patch not neded anymore QA Error about elocations in .text are still there like 2.0.0 Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* python-numpy: fix formatingMartin Jansa2013-05-131-13/+17
| | | | | | * last patch added couple of tabs to multiline variables Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* python-numpy : Add support for x86-64 builds.Philip Balister2013-05-133-1/+173
| | | | | | | Build tested with a qemux86-64 build. Signed-off-by: Philip Balister <philip@balister.org> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* samba: Add usershare directory to the packageOtavio Salvador2013-05-132-3/+4
| | | | | Signed-off-by: Otavio Salvador <otavio@ossystems.com.br> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* poppler-data: update to 0.4.6 and stylize a bitAndreas Müller2013-05-101-4/+4
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* poppler: update to 0.22.3Andreas Müller2013-05-101-4/+2
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* poppler: merge include files into poppler - only poppler requires themAndreas Müller2013-05-103-35/+31
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* poppler: remove unrecognized configure optionsAndreas Müller2013-05-102-3/+0
| | | | | | | | | warning was: | configure: WARNING: unrecognized options: --disable-poppler-qt, --disable-abiword-output Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* mysql-python: Added recipe for mysql-pythonMihai Prica2013-05-102-0/+35
| | | | | | | This package provides an interface to MySQL for Python. Signed-off-by: Mihai Prica <mihai.prica@intel.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* python-sqlalchemy: update to 0.7.9Mihai Prica2013-05-101-6/+5
| | | | | Signed-off-by: Mihai Prica <mihai.prica@intel.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* python-feedparser: Changed from distutils to setuptoolsMihai Prica2013-05-101-1/+1
| | | | | | | This package uses setuptools not distutils. Signed-off-by: Mihai Prica <mihai.prica@intel.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* lvm2: add configure option --with-usrlibdir to install shared library in ↵Olivia Yin2013-05-101-1/+2
| | | | | | | | | | | | | | | | 64-bit systems According to make.tmpl.in, shared lib will be installed under $(usrlibdir) install_lib_shared: $(LIB_SHARED) $(INSTALL_PROGRAM) -D $< $(libdir)/$(<F).$(LIB_VERSION) $(INSTALL_DIR) $(usrlibdir) $(LN_S) -f $(USRLIB_RELPATH)$(<F).$(LIB_VERSION) $(usrlibdir)/$(<F) But default $(usrlibdir) is $(DESTDIR)${prefix}/lib no matter it is 32-bit or 64-bit system. So we need align $(usrlibdir) with $(libdir). Signed-off-by: Olivia Yin <hong-hua.yin@freescale.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* yajl: pass the cmake variable LIB_SUFFIX to handle installation on 64-bit ↵Olivia Yin2013-05-101-0/+3
| | | | | | | | | | | | | | | | | | | | systems WARNING: QA Issue: yajl: Files/directories were installed but not shipped /usr/lib /usr/lib/libyajl.so.2 /usr/lib/libyajl.so /usr/lib/libyajl_s.a /usr/lib/libyajl.so.2.0.4 /usr/lib/.debug /usr/lib/.debug/libyajl.so.2.0.4 NOTE: for 64-bit systems where lib64 is used you can pass the cmake variable LIB_SUFFIX to cause installation into the system's 'lib64' directory. Signed-off-by: Olivia Yin <hong-hua.yin@freescale.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* smartmontools: import from OE classicNicolas Dechesne2013-05-071-0/+13
| | | | | | | | | | | | | as discussed in [1], the following changes have been made since the initial version. - upgrade to latest upstream version - removal of the .inc file since the recipe is trivial - moved the recipe from recipe-support to recipe-extended [1] http://comments.gmane.org/gmane.comp.handhelds.openembedded/57914 Signed-off-by: Nicolas Dechesne <nicolas.dechesne@linaro.org> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* media-ctl: Use linux-libc-headers instead of linux kernel sourcesStefan Herbrechtsmeier2013-05-071-3/+4
| | | | | | | | | | | | | | | | | | | | | | | | | | | Use the headers from the linux-libc-headers instead of the headers from the linux kernel sources because user space programs should be built against the header files provided by the distribution. In file included from .../usr/src/kernel/include/linux/media.h:27:0, from conftest.c:56: .../usr/src/kernel/include/linux/types.h:13:2: warning: #warning \ "Attempt to use kernel headers from user space, see http://kernelnewbies.org/KernelHeaders" [-Wcpp] On some platforms (qemu) intern kernel header (linux/types.h) redefines some types from the system header (sys/types.h, timer.h, stdint.h) and thereby breaks the checking of the linux media header. ERROR: Kernel header file not found or not usable! In file included from .../usr/include/linux/media.h:27:0, from conftest.c:56: In file included from .../usr/src/kernel/include/linux/types.h:14:26: error: conflicting types for 'fd_set' In file included from .../sys/select.h:75:5: note: previous declaration of 'fd_set' was here Similar errors for dev_t, mode_t, timer_t, uintptr_t and blkcnt_t. Signed-off-by: Stefan Herbrechtsmeier <stefan@herbrechtsmeier.net> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* vlc: moved to meta-multimediaPaul Barker2013-05-073-113/+0
| | | | | | | vlc depends on fluidsynth which is in meta-multimedia. Signed-off-by: Paul Barker <paul@paulbarker.me.uk> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* geany: update to 1.23 to fix build with glib 2.36Andreas Müller2013-05-031-4/+3
| | | | | | | license change of FSF address only Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* python-dateutil: update to 1.5Lukas Bulwahn2013-05-031-3/+3
| | | | | | | This commit updates python-dateutil to the latest version 1.5 and resets PR. Signed-off-by: Lukas Bulwahn <lukas.bulwahn@oss.bmw-carit.de> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* php: move INSTALL_ROOT over to EXTRA_OEMAKEJack Mitchell2013-05-031-4/+2
| | | | | | | | move INSTALL_ROOT over to EXTRA_OEMAKE rather than over riding oe_runmake install Signed-off-by: Jack Mitchell <jack.mitchell@dbbroadcast.co.uk> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* php: remove unneeded THREADS exportJack Mitchell2013-05-031-2/+0
| | | | | | | This is no longer required, as pthreads is the default thread library Signed-off-by: Jack Mitchell <jack.mitchell@dbbroadcast.co.uk> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* php: remove unnecessary LIBS exportJack Mitchell2013-05-031-3/+0
| | | | | | | Adding explicit LIBS additions is not required anymore Signed-off-by: Jack Mitchell <jack.mitchell@dbbroadcast.co.uk> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>